%define	version	1.5.0
%define	release 1mdk

Name:		crossfire-client
Version:	%{version}
Release:	%{release}
Summary:	Client for connecting to crossfire servers.
Group:		Games/Adventure
License:	GPL
URL:		http://crossfire.real-time.com/
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

# tar.gz from ftp://ftp.sourceforge.net/pub/sourceforge/crossfire/
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}-images-%{version}.tar.bz2
Source2:	%{name}-sounds-1.4.0.tar.bz2
Source3:	%{name}-icon-small.png
Source4:	%{name}-icon-medium.png
Source5:	%{name}-icon-large.png
Patch0:		%{name}-1.4.0-errno.patch.bz2

BuildRequires:	libxpm-devel
BuildRequires:	libgtk+1.2-devel
BuildRequires:	libSDL_image-devel

%description
Crossfire is a highly graphical role-playing adventure game with
characteristics reminiscent of rogue, nethack, omega, and gauntlet. 
It has multiplayer capability and presently runs under X11.

This package contains client for playing the new client/server based version
of Crossfire. It allows you to connect to crossfire servers around the world.
You do not need to install the crossfire server in order to play crossfire.


%package x11
Summary:	X11 client for connecting to crossfire servers
Group:		%{group}
Requires:	%{name}-data = %{version}

%description x11
Crossfire is a highly graphical role-playing adventure game with
characteristics reminiscent of rogue, nethack, omega, and gauntlet. 
It has multiplayer capability and presently runs under X11.

This package contains client for playing the new client/server based version
of Crossfire. It allows you to connect to crossfire servers around the world.
You do not need to install the crossfire server in order to use this package.

This is the original X11(Athena) version of the crossfire client.

%package gtk
Summary:	GTK client for connecting to crossfire servers.
Group:		%{group}
Requires:	%{name}-data = %{version}

%description gtk
Crossfire is a highly graphical role-playing adventure game with
characteristics reminiscent of rogue, nethack, omega, and gauntlet. 
It has multiplayer capability and presently runs under X11.

This package contains client for playing the new client/server based version
of Crossfire. It allows you to connect to crossfire servers around the world.
You do not need to install the crossfire server in order to use this package.

This is GTK version of the crossfire client.


%package data
Summary:	Sound and image cache for crossfire clients
Group:		%{group}
Obsoletes:	%{name}-sounds
Provides:	%{name}-sounds

%description data
Crossfire is a highly graphical role-playing adventure game with
characteristics reminiscent of rogue, nethack, omega, and gauntlet. 
It has multiplayer capability and presently runs under X11.

This package contains sound files and image cache for crossfire client.


%prep
%setup -q
%patch0 -p1 -b .errno

%build
%configure2_5x \
	--disable-alsa \
	--disable-gnome
%make

%install
[ -z "$RPM_BUILD_ROOT" -o "$RPM_BUILD_ROOT" = "/" ] || rm -rf $RPM_BUILD_ROOT

# no DESTDIR support
%makeinstall

# fix manpage path
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
mv $RPM_BUILD_ROOT%{_mandir}/*.1* $RPM_BUILD_ROOT%{_mandir}/man1/

# icons
mkdir -p $RPM_BUILD_ROOT{%{_iconsdir},%{_miconsdir},%{_liconsdir}}
install -m 0644 %{SOURCE3} $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m 0644 %{SOURCE4} $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m 0644 %{SOURCE5} $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

# extract cache images to buildroot
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}
bzip2 -dc %{SOURCE1} | tar x -C $RPM_BUILD_ROOT%{_datadir}/%{name}/
bzip2 -dc %{SOURCE2} | tar x -C $RPM_BUILD_ROOT%{_datadir}/%{name}/
find $RPM_BUILD_ROOT%{_datadir}/%{name} -type f -print0 | xargs -r -0 chmod 0644

# menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/%{name}-gtk <<EOF
?package(%{name}-gtk): \
command="%{_bindir}/gcfclient -download_all_faces -fog -sdl -showicon -splitinfo" \
icon="%{name}.png" \
longtitle="GTK client of Crossfire, a graphical adventure game" \
needs="x11" \
section="Amusement/Adventure" \
startup_notify="true" \
title="GTK Crossfire Client"
EOF
cat > $RPM_BUILD_ROOT%{_menudir}/%{name}-x11 <<EOF
?package(%{name}-x11): \
command="%{_bindir}/cfclient -cache -fog -png -showicon" \
icon="%{name}.png" \
longtitle="Standard client of Crossfire, a graphical adventure game" \
needs="x11" \
section="Amusement/Adventure" \
startup_notify="true" \
title="Traditional Crossfire Client"
EOF

%post gtk
%{update_menus}

%postun gtk
%{clean_menus}

%post x11
%{update_menus}

%postun x11
%{clean_menus}

%clean
[ -z "$RPM_BUILD_ROOT" -o "$RPM_BUILD_ROOT" = "/" ] || rm -rf $RPM_BUILD_ROOT

%files x11
%defattr(-,root,root)
%doc README CHANGES COPYING
%{_bindir}/cfclient
%{_mandir}/man1/cfclient.1*
%{_menudir}/%{name}-x11
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png

%files gtk
%defattr(-,root,root)
%doc README CHANGES COPYING
%{_bindir}/gcfclient
%{_mandir}/man1/gcfclient.1*
%{_menudir}/%{name}-gtk
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png

%files data
%defattr(-,root,root)
%{_bindir}/cfsndserv
%{_datadir}/%{name}


%changelog
* Thu Jul 3 2003 Austin Acton <aacton@yorku.ca> 1.5.0-1mdk:
- from Abel Cheung <maddog@linux.org.hk>:
  - 1.5.0
  - Patch0: errno patch
  - Subpackage restructure, partially rewrite spec
  - Source 3-5: I made some icons, the stock ones are too ...

* Sat Dec 22 2001 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.0.0-4mdk
- rebuilt against libpng3.
- misc spec fixes.

* Wed May 30 2001 Abel Cheung <maddog@linux.org.hk> 1.0.0-3mdk
- Group and descriptions fix
- Oops I'm stupid, menu entry resides in wrong subpackage
- Intentionally let the icons in 2 clients overlap, till I figure
  out how to prevent this
- Add "-png -cache" argument to menu entries
- Seems CVS fixes don't work well, disable them for now
- Please blame Blue Lizard for this release :)

* Wed May 30 2001 Abel Cheung <maddog@linux.org.hk> 1.0.0-2mdk
- cfsndserv is expected to be under /usr/bin
- add menu entry for X11 crossfire client
- post/postun for x11 subpackage

* Mon May 14 2001 Abel Cheung <maddog@linux.org.hk> 1.0.0-1mdk
- Based on crossfire-client.spec in CVS
- 1.0.0 -- Hurray!
- More macros, but don't define _prefix anymore
- Bzip2'ed sources
- Add BuildRequires and BuildPrereq
- Add missing cfsndserv to sounds package
- Sounds really work now by default
- Modified Group, Summary and description
- Sounds package 0.95.4 doesn't exist, use 0.95.2. (In fact the 0.95.4
  packages ARE 0.95.2 packages)
- Move README and sample sound config from client package to sounds package
- Add menu entry for GTK version of client
- Rename SOURCE3 from client.gnome to crossfire-client.desktop
- Add smaller icons (resized from big one) and repackage as SOURCE4

